Package org.bgerp.action.open

# Class ProcessAction.Config

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.action.open.ProcessAction.Config

Enclosing class:
  `ProcessAction`

public static class ProcessAction.Config extends Config
Configuration for open processes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Config(ConfigMap config, boolean validate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getShowMessagesTagIds()`
  Message tag IDs allowed to be shown.
  `List<Integer>`
  `getShowParamIds()`
  Process param IDs allowed to be shown.
  `boolean`
  `isOpen(Process process, DynActionForm form)`
  Checks if process can be open respecting secrets.
  `boolean`
  `isOpenForUser(Process process)`
  Checks if process can be open.
  `boolean`
  `isShowLinkCustomer()`
  `String`
  `url(Process process)`
  Process accessing `Interface.OPEN` URL.

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Config

    protected Config(ConfigMap config, boolean validate) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### isOpenForUser

    public boolean isOpenForUser(Process process)
    Checks if process can be open. Used in 'used' interface only.
    Parameters:
      `process` -
    Returns:

  - ### isOpen

    public boolean isOpen(Process process, DynActionForm form)
    Checks if process can be open respecting secrets.
    Parameters:
      `process` -
      `form` -
    Returns:

  - ### url

    public String url(Process process)
    Process accessing `Interface.OPEN` URL.
    Parameters:
      `process` -
    Returns:

  - ### getShowParamIds

    public List<Integer> getShowParamIds()
    Process param IDs allowed to be shown.
    Returns:
      not `null` value.

  - ### getShowMessagesTagIds

    public Set<Integer> getShowMessagesTagIds()
    Message tag IDs allowed to be shown.
    Returns:
      `null` - message are hidden, empty set - all messages are shown.

  - ### isShowLinkCustomer

    public boolean isShowLinkCustomer()
    Returns:
      show customer links.